Agendize Links API

Links


Resource representation

{ "id": {string}, "contact": { "id": {string}, "firstName": {string}, "lastName": {string}, "emailAddress": {string}, "externalId": {string} }, "scheduling": { "company": { "id": {string} }, "staff": { "id": {string} }, "service": { "id": {string} } }, "expiration": {string}, "urlParameters": {string}, "numberOfAllowedUsages": {integer}, "link": {string}, "cipherLink": {string}, "shortLink": {string}, "expires": { "dateTime": {string}, "timeZone": {string} }, "numberOfClicks": {integer}, "numberOfConversions": {integer} }
Parameter name Value Description
id string Identifier of the link. read-only
scheduling object Scheduling data
scheduling.company object Company data
scheduling.company.id string Identifier of the company
scheduling.staff object Staff data
scheduling.staff.id string Identifier of the staff
scheduling.service object Service data
scheduling.service.id string Identifier of the service
contact object Contact data
contact.id string Identifier of the client
contact.firstName string First name of the client read-only
contact.lastName string Last name of the client read-only
contact.emailAddress string Primary email address of the client read-only
contact.externalId string External identifier of the client.
expiration string Expiration delay. Format: "days-xx", "months-xx", "years-xx".
urlParameters string Additional URL parameters. Example: "key1=value1&key2=value2".
numberOfAllowedUsages integer Number of allowed usages.
link string Full readable link.
cipherLink string Link with crypted parameters.
shortLink string Shortened link.
expires object The expiration time of the link. read-only
expires.dateTime string The time, as a combined date-time value (formatted according to RFC 3339, without time zone information). read-only
expires.timeZone string The time zone. Possible values can be found here. The default value is the time zone of the company. read-only
numberOfClicks integer Number of clicks on the link. read-only
numberOfConversions integer Number of conversions. For example, the number of appointments scheduled from the link. read-only

Delete

Deletes an entry on the user's company list.

Authentication is required to execute this request. Please refer to Authentication for more.

Request

HTTP Request

DELETE https://api.agendize.com/links/api/1.0/links/{linkId}

Parameters

Parameter name Value Description
Path parameters
linkId string Link identifier.

Request body

Do not supply a request body with this method.

Response

If successful, this method returns an empty response body.


Get

Authentication is required to execute this request. Please refer to Authentication for more.

Request

HTTP Request

GET https://api.agendize.com/links/api/1.0/links/{linkId}

Parameters

Parameter name Value Description
Path parameters
linkId string Link identifier .
Optional query parameters
fields string Specify the fields returned. Comma separated field names (ex: "id,contact").

Request body

Do not supply a request body with this method.

Response

If successful, this method returns a Link resource in the response body.


List

Returns entries on the link list.

Authentication is required to execute this request. Please refer to Authentication for more.

Request

HTTP Request

GET https://api.agendize.com/links/api/1.0/links

Parameters

Parameter name Value Description
Path parameters
appointmentId string Appointment identifier or appointment reference.
Optional query parameters
contactId string Contact identifier To get links for a contact.
companyId string Company identifier To get links for a company.
staffId string Staff identifier. To get links for a staff.
serviceId string Service identifier. To get links for a service.
fields string Specify the fields returned. Comma separated field names (ex: "id,contact").

Request body

Do not supply a request body with this method.

Response

If successful, this method returns a response body with the following structure:

{ items: [Link Resource] }

Insert

Adds a link.

Authentication is required to execute this request. Please refer to Authentication for more.

Request

HTTP Request

POST https://api.agendize.com/links/api/1.0/links

Request body

In the request body, supply a Link resource with the following properties:

Parameter name Value Description
Required Properties
scheduling.company.id string Identifier of the company
Optional Properties
scheduling.staff.id string Identifier of the staff
scheduling.service.id string Identifier of the service
contact.id string Identifier of the client
expiration string Expiration delay. Format: "days-xx", "months-xx", "years-xx".
urlParameters string Additional URL parameters. Example: "key1=value1&key2=value2".
numberOfAllowedUsages string Number of allowed usages.

Response

If successful, this method returns a Link resource in the response body.